# Method: monetization.subscriptions.basePlans.offers.batchGet

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions.basePlans.offers/batchGet#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions.basePlans.offers/batchGet#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions.basePlans.offers/batchGet#body.request_body)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions.basePlans.offers/batchGet#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions.basePlans.offers/batchGet#body.response_body)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions.basePlans.offers/batchGet#body.BatchGetSubscriptionOffersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions.basePlans.offers/batchGet#body.aspect)
- [GetSubscriptionOfferRequest](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions.basePlans.offers/batchGet#GetSubscriptionOfferRequest)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions.basePlans.offers/batchGet#GetSubscriptionOfferRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions.basePlans.offers/batchGet#try-it)

Reads one or more subscription offers.

### HTTP request

`POST https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/subscriptions/{productId}/basePlans/{basePlanId}/offers:batchGet`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Required. The parent app (package name) for which the subscriptions should be created or updated. Must be equal to the packageName field on all the requests. |
| `productId` | `string` Required. The product ID of the parent subscription, if all updated offers belong to the same subscription. If this request spans multiple subscriptions, set this field to "-". Must be set. |
| `basePlanId` | `string` Required. The parent base plan (ID) for which the offers should be read. May be specified as '-' to read offers from multiple base plans. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions.basePlans.offers/batchGet#GetSubscriptionOfferRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions.basePlans.offers/batchGet#GetSubscriptionOfferRequest`)`` Required. A list of update requests of up to 100 elements. All requests must update different subscriptions. |

### Response body

Response message for offers.batchGet endpoint.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "subscriptionOffers": [ { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions.basePlans.offers#SubscriptionOffer`) } ] } ``` |

| Fields ||
|---|---|
| `subscriptionOffers[]` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions.basePlans.offers#SubscriptionOffer`)`` |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`

## GetSubscriptionOfferRequest

Request message for offers.get.

| JSON representation |
|---|
| ``` { "packageName": string, "productId": string, "basePlanId": string, "offerId": string } ``` |

| Fields ||
|---|---|
| `packageName` | `string` Required. The parent app (package name) of the offer to get. |
| `productId` | `string` Required. The parent subscription (ID) of the offer to get. |
| `basePlanId` | `string` Required. The parent base plan (ID) of the offer to get. |
| `offerId` | `string` Required. The unique offer ID of the offer to get. |